Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:d9ea:d00/120
First address
2c19:dd:d9:dd:c25:c25:d9ea:d00
Last address
2c19:dd:d9:dd:c25:c25:d9ea:dff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:d9ea:0d00
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
d.0.a.e.9.d.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/128

2c19:dd:d9:dd:c25:c25:d9ea:d00/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:d9ea:d00/1282c19:dd:d9:dd:c25:c25:d9ea:d00
22c19:dd:d9:dd:c25:c25:d9ea:d01/1282c19:dd:d9:dd:c25:c25:d9ea:d01
32c19:dd:d9:dd:c25:c25:d9ea:d02/1282c19:dd:d9:dd:c25:c25:d9ea:d02
42c19:dd:d9:dd:c25:c25:d9ea:d03/1282c19:dd:d9:dd:c25:c25:d9ea:d03
52c19:dd:d9:dd:c25:c25:d9ea:d04/1282c19:dd:d9:dd:c25:c25:d9ea:d04
62c19:dd:d9:dd:c25:c25:d9ea:d05/1282c19:dd:d9:dd:c25:c25:d9ea:d05
72c19:dd:d9:dd:c25:c25:d9ea:d06/1282c19:dd:d9:dd:c25:c25:d9ea:d06
82c19:dd:d9:dd:c25:c25:d9ea:d07/1282c19:dd:d9:dd:c25:c25:d9ea:d07
92c19:dd:d9:dd:c25:c25:d9ea:d08/1282c19:dd:d9:dd:c25:c25:d9ea:d08
102c19:dd:d9:dd:c25:c25:d9ea:d09/1282c19:dd:d9:dd:c25:c25:d9ea:d09
112c19:dd:d9:dd:c25:c25:d9ea:d0a/1282c19:dd:d9:dd:c25:c25:d9ea:d0a
122c19:dd:d9:dd:c25:c25:d9ea:d0b/1282c19:dd:d9:dd:c25:c25:d9ea:d0b
132c19:dd:d9:dd:c25:c25:d9ea:d0c/1282c19:dd:d9:dd:c25:c25:d9ea:d0c
142c19:dd:d9:dd:c25:c25:d9ea:d0d/1282c19:dd:d9:dd:c25:c25:d9ea:d0d
152c19:dd:d9:dd:c25:c25:d9ea:d0e/1282c19:dd:d9:dd:c25:c25:d9ea:d0e
162c19:dd:d9:dd:c25:c25:d9ea:d0f/1282c19:dd:d9:dd:c25:c25:d9ea:d0f
172c19:dd:d9:dd:c25:c25:d9ea:d10/1282c19:dd:d9:dd:c25:c25:d9ea:d10
182c19:dd:d9:dd:c25:c25:d9ea:d11/1282c19:dd:d9:dd:c25:c25:d9ea:d11
192c19:dd:d9:dd:c25:c25:d9ea:d12/1282c19:dd:d9:dd:c25:c25:d9ea:d12
202c19:dd:d9:dd:c25:c25:d9ea:d13/1282c19:dd:d9:dd:c25:c25:d9ea:d13
212c19:dd:d9:dd:c25:c25:d9ea:d14/1282c19:dd:d9:dd:c25:c25:d9ea:d14
222c19:dd:d9:dd:c25:c25:d9ea:d15/1282c19:dd:d9:dd:c25:c25:d9ea:d15
232c19:dd:d9:dd:c25:c25:d9ea:d16/1282c19:dd:d9:dd:c25:c25:d9ea:d16
242c19:dd:d9:dd:c25:c25:d9ea:d17/1282c19:dd:d9:dd:c25:c25:d9ea:d17
252c19:dd:d9:dd:c25:c25:d9ea:d18/1282c19:dd:d9:dd:c25:c25:d9ea:d18
262c19:dd:d9:dd:c25:c25:d9ea:d19/1282c19:dd:d9:dd:c25:c25:d9ea:d19
272c19:dd:d9:dd:c25:c25:d9ea:d1a/1282c19:dd:d9:dd:c25:c25:d9ea:d1a
282c19:dd:d9:dd:c25:c25:d9ea:d1b/1282c19:dd:d9:dd:c25:c25:d9ea:d1b
292c19:dd:d9:dd:c25:c25:d9ea:d1c/1282c19:dd:d9:dd:c25:c25:d9ea:d1c
302c19:dd:d9:dd:c25:c25:d9ea:d1d/1282c19:dd:d9:dd:c25:c25:d9ea:d1d
312c19:dd:d9:dd:c25:c25:d9ea:d1e/1282c19:dd:d9:dd:c25:c25:d9ea:d1e
322c19:dd:d9:dd:c25:c25:d9ea:d1f/1282c19:dd:d9:dd:c25:c25:d9ea:d1f
332c19:dd:d9:dd:c25:c25:d9ea:d20/1282c19:dd:d9:dd:c25:c25:d9ea:d20
342c19:dd:d9:dd:c25:c25:d9ea:d21/1282c19:dd:d9:dd:c25:c25:d9ea:d21
352c19:dd:d9:dd:c25:c25:d9ea:d22/1282c19:dd:d9:dd:c25:c25:d9ea:d22
362c19:dd:d9:dd:c25:c25:d9ea:d23/1282c19:dd:d9:dd:c25:c25:d9ea:d23
372c19:dd:d9:dd:c25:c25:d9ea:d24/1282c19:dd:d9:dd:c25:c25:d9ea:d24
382c19:dd:d9:dd:c25:c25:d9ea:d25/1282c19:dd:d9:dd:c25:c25:d9ea:d25
392c19:dd:d9:dd:c25:c25:d9ea:d26/1282c19:dd:d9:dd:c25:c25:d9ea:d26
402c19:dd:d9:dd:c25:c25:d9ea:d27/1282c19:dd:d9:dd:c25:c25:d9ea:d27
412c19:dd:d9:dd:c25:c25:d9ea:d28/1282c19:dd:d9:dd:c25:c25:d9ea:d28
422c19:dd:d9:dd:c25:c25:d9ea:d29/1282c19:dd:d9:dd:c25:c25:d9ea:d29
432c19:dd:d9:dd:c25:c25:d9ea:d2a/1282c19:dd:d9:dd:c25:c25:d9ea:d2a
442c19:dd:d9:dd:c25:c25:d9ea:d2b/1282c19:dd:d9:dd:c25:c25:d9ea:d2b
452c19:dd:d9:dd:c25:c25:d9ea:d2c/1282c19:dd:d9:dd:c25:c25:d9ea:d2c
462c19:dd:d9:dd:c25:c25:d9ea:d2d/1282c19:dd:d9:dd:c25:c25:d9ea:d2d
472c19:dd:d9:dd:c25:c25:d9ea:d2e/1282c19:dd:d9:dd:c25:c25:d9ea:d2e
482c19:dd:d9:dd:c25:c25:d9ea:d2f/1282c19:dd:d9:dd:c25:c25:d9ea:d2f
492c19:dd:d9:dd:c25:c25:d9ea:d30/1282c19:dd:d9:dd:c25:c25:d9ea:d30
502c19:dd:d9:dd:c25:c25:d9ea:d31/1282c19:dd:d9:dd:c25:c25:d9ea:d31
512c19:dd:d9:dd:c25:c25:d9ea:d32/1282c19:dd:d9:dd:c25:c25:d9ea:d32
522c19:dd:d9:dd:c25:c25:d9ea:d33/1282c19:dd:d9:dd:c25:c25:d9ea:d33
532c19:dd:d9:dd:c25:c25:d9ea:d34/1282c19:dd:d9:dd:c25:c25:d9ea:d34
542c19:dd:d9:dd:c25:c25:d9ea:d35/1282c19:dd:d9:dd:c25:c25:d9ea:d35
552c19:dd:d9:dd:c25:c25:d9ea:d36/1282c19:dd:d9:dd:c25:c25:d9ea:d36
562c19:dd:d9:dd:c25:c25:d9ea:d37/1282c19:dd:d9:dd:c25:c25:d9ea:d37
572c19:dd:d9:dd:c25:c25:d9ea:d38/1282c19:dd:d9:dd:c25:c25:d9ea:d38
582c19:dd:d9:dd:c25:c25:d9ea:d39/1282c19:dd:d9:dd:c25:c25:d9ea:d39
592c19:dd:d9:dd:c25:c25:d9ea:d3a/1282c19:dd:d9:dd:c25:c25:d9ea:d3a
602c19:dd:d9:dd:c25:c25:d9ea:d3b/1282c19:dd:d9:dd:c25:c25:d9ea:d3b
612c19:dd:d9:dd:c25:c25:d9ea:d3c/1282c19:dd:d9:dd:c25:c25:d9ea:d3c
622c19:dd:d9:dd:c25:c25:d9ea:d3d/1282c19:dd:d9:dd:c25:c25:d9ea:d3d
632c19:dd:d9:dd:c25:c25:d9ea:d3e/1282c19:dd:d9:dd:c25:c25:d9ea:d3e
642c19:dd:d9:dd:c25:c25:d9ea:d3f/1282c19:dd:d9:dd:c25:c25:d9ea:d3f
652c19:dd:d9:dd:c25:c25:d9ea:d40/1282c19:dd:d9:dd:c25:c25:d9ea:d40
662c19:dd:d9:dd:c25:c25:d9ea:d41/1282c19:dd:d9:dd:c25:c25:d9ea:d41
672c19:dd:d9:dd:c25:c25:d9ea:d42/1282c19:dd:d9:dd:c25:c25:d9ea:d42
682c19:dd:d9:dd:c25:c25:d9ea:d43/1282c19:dd:d9:dd:c25:c25:d9ea:d43
692c19:dd:d9:dd:c25:c25:d9ea:d44/1282c19:dd:d9:dd:c25:c25:d9ea:d44
702c19:dd:d9:dd:c25:c25:d9ea:d45/1282c19:dd:d9:dd:c25:c25:d9ea:d45
712c19:dd:d9:dd:c25:c25:d9ea:d46/1282c19:dd:d9:dd:c25:c25:d9ea:d46
722c19:dd:d9:dd:c25:c25:d9ea:d47/1282c19:dd:d9:dd:c25:c25:d9ea:d47
732c19:dd:d9:dd:c25:c25:d9ea:d48/1282c19:dd:d9:dd:c25:c25:d9ea:d48
742c19:dd:d9:dd:c25:c25:d9ea:d49/1282c19:dd:d9:dd:c25:c25:d9ea:d49
752c19:dd:d9:dd:c25:c25:d9ea:d4a/1282c19:dd:d9:dd:c25:c25:d9ea:d4a
762c19:dd:d9:dd:c25:c25:d9ea:d4b/1282c19:dd:d9:dd:c25:c25:d9ea:d4b
772c19:dd:d9:dd:c25:c25:d9ea:d4c/1282c19:dd:d9:dd:c25:c25:d9ea:d4c
782c19:dd:d9:dd:c25:c25:d9ea:d4d/1282c19:dd:d9:dd:c25:c25:d9ea:d4d
792c19:dd:d9:dd:c25:c25:d9ea:d4e/1282c19:dd:d9:dd:c25:c25:d9ea:d4e
802c19:dd:d9:dd:c25:c25:d9ea:d4f/1282c19:dd:d9:dd:c25:c25:d9ea:d4f
812c19:dd:d9:dd:c25:c25:d9ea:d50/1282c19:dd:d9:dd:c25:c25:d9ea:d50
822c19:dd:d9:dd:c25:c25:d9ea:d51/1282c19:dd:d9:dd:c25:c25:d9ea:d51
832c19:dd:d9:dd:c25:c25:d9ea:d52/1282c19:dd:d9:dd:c25:c25:d9ea:d52
842c19:dd:d9:dd:c25:c25:d9ea:d53/1282c19:dd:d9:dd:c25:c25:d9ea:d53
852c19:dd:d9:dd:c25:c25:d9ea:d54/1282c19:dd:d9:dd:c25:c25:d9ea:d54
862c19:dd:d9:dd:c25:c25:d9ea:d55/1282c19:dd:d9:dd:c25:c25:d9ea:d55
872c19:dd:d9:dd:c25:c25:d9ea:d56/1282c19:dd:d9:dd:c25:c25:d9ea:d56
882c19:dd:d9:dd:c25:c25:d9ea:d57/1282c19:dd:d9:dd:c25:c25:d9ea:d57
892c19:dd:d9:dd:c25:c25:d9ea:d58/1282c19:dd:d9:dd:c25:c25:d9ea:d58
902c19:dd:d9:dd:c25:c25:d9ea:d59/1282c19:dd:d9:dd:c25:c25:d9ea:d59
912c19:dd:d9:dd:c25:c25:d9ea:d5a/1282c19:dd:d9:dd:c25:c25:d9ea:d5a
922c19:dd:d9:dd:c25:c25:d9ea:d5b/1282c19:dd:d9:dd:c25:c25:d9ea:d5b
932c19:dd:d9:dd:c25:c25:d9ea:d5c/1282c19:dd:d9:dd:c25:c25:d9ea:d5c
942c19:dd:d9:dd:c25:c25:d9ea:d5d/1282c19:dd:d9:dd:c25:c25:d9ea:d5d
952c19:dd:d9:dd:c25:c25:d9ea:d5e/1282c19:dd:d9:dd:c25:c25:d9ea:d5e
962c19:dd:d9:dd:c25:c25:d9ea:d5f/1282c19:dd:d9:dd:c25:c25:d9ea:d5f
972c19:dd:d9:dd:c25:c25:d9ea:d60/1282c19:dd:d9:dd:c25:c25:d9ea:d60
982c19:dd:d9:dd:c25:c25:d9ea:d61/1282c19:dd:d9:dd:c25:c25:d9ea:d61
992c19:dd:d9:dd:c25:c25:d9ea:d62/1282c19:dd:d9:dd:c25:c25:d9ea:d62
1002c19:dd:d9:dd:c25:c25:d9ea:d63/1282c19:dd:d9:dd:c25:c25:d9ea:d63
1012c19:dd:d9:dd:c25:c25:d9ea:d64/1282c19:dd:d9:dd:c25:c25:d9ea:d64
1022c19:dd:d9:dd:c25:c25:d9ea:d65/1282c19:dd:d9:dd:c25:c25:d9ea:d65
1032c19:dd:d9:dd:c25:c25:d9ea:d66/1282c19:dd:d9:dd:c25:c25:d9ea:d66
1042c19:dd:d9:dd:c25:c25:d9ea:d67/1282c19:dd:d9:dd:c25:c25:d9ea:d67
1052c19:dd:d9:dd:c25:c25:d9ea:d68/1282c19:dd:d9:dd:c25:c25:d9ea:d68
1062c19:dd:d9:dd:c25:c25:d9ea:d69/1282c19:dd:d9:dd:c25:c25:d9ea:d69
1072c19:dd:d9:dd:c25:c25:d9ea:d6a/1282c19:dd:d9:dd:c25:c25:d9ea:d6a
1082c19:dd:d9:dd:c25:c25:d9ea:d6b/1282c19:dd:d9:dd:c25:c25:d9ea:d6b
1092c19:dd:d9:dd:c25:c25:d9ea:d6c/1282c19:dd:d9:dd:c25:c25:d9ea:d6c
1102c19:dd:d9:dd:c25:c25:d9ea:d6d/1282c19:dd:d9:dd:c25:c25:d9ea:d6d
1112c19:dd:d9:dd:c25:c25:d9ea:d6e/1282c19:dd:d9:dd:c25:c25:d9ea:d6e
1122c19:dd:d9:dd:c25:c25:d9ea:d6f/1282c19:dd:d9:dd:c25:c25:d9ea:d6f
1132c19:dd:d9:dd:c25:c25:d9ea:d70/1282c19:dd:d9:dd:c25:c25:d9ea:d70
1142c19:dd:d9:dd:c25:c25:d9ea:d71/1282c19:dd:d9:dd:c25:c25:d9ea:d71
1152c19:dd:d9:dd:c25:c25:d9ea:d72/1282c19:dd:d9:dd:c25:c25:d9ea:d72
1162c19:dd:d9:dd:c25:c25:d9ea:d73/1282c19:dd:d9:dd:c25:c25:d9ea:d73
1172c19:dd:d9:dd:c25:c25:d9ea:d74/1282c19:dd:d9:dd:c25:c25:d9ea:d74
1182c19:dd:d9:dd:c25:c25:d9ea:d75/1282c19:dd:d9:dd:c25:c25:d9ea:d75
1192c19:dd:d9:dd:c25:c25:d9ea:d76/1282c19:dd:d9:dd:c25:c25:d9ea:d76
1202c19:dd:d9:dd:c25:c25:d9ea:d77/1282c19:dd:d9:dd:c25:c25:d9ea:d77
1212c19:dd:d9:dd:c25:c25:d9ea:d78/1282c19:dd:d9:dd:c25:c25:d9ea:d78
1222c19:dd:d9:dd:c25:c25:d9ea:d79/1282c19:dd:d9:dd:c25:c25:d9ea:d79
1232c19:dd:d9:dd:c25:c25:d9ea:d7a/1282c19:dd:d9:dd:c25:c25:d9ea:d7a
1242c19:dd:d9:dd:c25:c25:d9ea:d7b/1282c19:dd:d9:dd:c25:c25:d9ea:d7b
1252c19:dd:d9:dd:c25:c25:d9ea:d7c/1282c19:dd:d9:dd:c25:c25:d9ea:d7c
1262c19:dd:d9:dd:c25:c25:d9ea:d7d/1282c19:dd:d9:dd:c25:c25:d9ea:d7d
1272c19:dd:d9:dd:c25:c25:d9ea:d7e/1282c19:dd:d9:dd:c25:c25:d9ea:d7e
1282c19:dd:d9:dd:c25:c25:d9ea:d7f/1282c19:dd:d9:dd:c25:c25:d9ea:d7f
1292c19:dd:d9:dd:c25:c25:d9ea:d80/1282c19:dd:d9:dd:c25:c25:d9ea:d80
1302c19:dd:d9:dd:c25:c25:d9ea:d81/1282c19:dd:d9:dd:c25:c25:d9ea:d81
1312c19:dd:d9:dd:c25:c25:d9ea:d82/1282c19:dd:d9:dd:c25:c25:d9ea:d82
1322c19:dd:d9:dd:c25:c25:d9ea:d83/1282c19:dd:d9:dd:c25:c25:d9ea:d83
1332c19:dd:d9:dd:c25:c25:d9ea:d84/1282c19:dd:d9:dd:c25:c25:d9ea:d84
1342c19:dd:d9:dd:c25:c25:d9ea:d85/1282c19:dd:d9:dd:c25:c25:d9ea:d85
1352c19:dd:d9:dd:c25:c25:d9ea:d86/1282c19:dd:d9:dd:c25:c25:d9ea:d86
1362c19:dd:d9:dd:c25:c25:d9ea:d87/1282c19:dd:d9:dd:c25:c25:d9ea:d87
1372c19:dd:d9:dd:c25:c25:d9ea:d88/1282c19:dd:d9:dd:c25:c25:d9ea:d88
1382c19:dd:d9:dd:c25:c25:d9ea:d89/1282c19:dd:d9:dd:c25:c25:d9ea:d89
1392c19:dd:d9:dd:c25:c25:d9ea:d8a/1282c19:dd:d9:dd:c25:c25:d9ea:d8a
1402c19:dd:d9:dd:c25:c25:d9ea:d8b/1282c19:dd:d9:dd:c25:c25:d9ea:d8b
1412c19:dd:d9:dd:c25:c25:d9ea:d8c/1282c19:dd:d9:dd:c25:c25:d9ea:d8c
1422c19:dd:d9:dd:c25:c25:d9ea:d8d/1282c19:dd:d9:dd:c25:c25:d9ea:d8d
1432c19:dd:d9:dd:c25:c25:d9ea:d8e/1282c19:dd:d9:dd:c25:c25:d9ea:d8e
1442c19:dd:d9:dd:c25:c25:d9ea:d8f/1282c19:dd:d9:dd:c25:c25:d9ea:d8f
1452c19:dd:d9:dd:c25:c25:d9ea:d90/1282c19:dd:d9:dd:c25:c25:d9ea:d90
1462c19:dd:d9:dd:c25:c25:d9ea:d91/1282c19:dd:d9:dd:c25:c25:d9ea:d91
1472c19:dd:d9:dd:c25:c25:d9ea:d92/1282c19:dd:d9:dd:c25:c25:d9ea:d92
1482c19:dd:d9:dd:c25:c25:d9ea:d93/1282c19:dd:d9:dd:c25:c25:d9ea:d93
1492c19:dd:d9:dd:c25:c25:d9ea:d94/1282c19:dd:d9:dd:c25:c25:d9ea:d94
1502c19:dd:d9:dd:c25:c25:d9ea:d95/1282c19:dd:d9:dd:c25:c25:d9ea:d95
1512c19:dd:d9:dd:c25:c25:d9ea:d96/1282c19:dd:d9:dd:c25:c25:d9ea:d96
1522c19:dd:d9:dd:c25:c25:d9ea:d97/1282c19:dd:d9:dd:c25:c25:d9ea:d97
1532c19:dd:d9:dd:c25:c25:d9ea:d98/1282c19:dd:d9:dd:c25:c25:d9ea:d98
1542c19:dd:d9:dd:c25:c25:d9ea:d99/1282c19:dd:d9:dd:c25:c25:d9ea:d99
1552c19:dd:d9:dd:c25:c25:d9ea:d9a/1282c19:dd:d9:dd:c25:c25:d9ea:d9a
1562c19:dd:d9:dd:c25:c25:d9ea:d9b/1282c19:dd:d9:dd:c25:c25:d9ea:d9b
1572c19:dd:d9:dd:c25:c25:d9ea:d9c/1282c19:dd:d9:dd:c25:c25:d9ea:d9c
1582c19:dd:d9:dd:c25:c25:d9ea:d9d/1282c19:dd:d9:dd:c25:c25:d9ea:d9d
1592c19:dd:d9:dd:c25:c25:d9ea:d9e/1282c19:dd:d9:dd:c25:c25:d9ea:d9e
1602c19:dd:d9:dd:c25:c25:d9ea:d9f/1282c19:dd:d9:dd:c25:c25:d9ea:d9f
1612c19:dd:d9:dd:c25:c25:d9ea:da0/1282c19:dd:d9:dd:c25:c25:d9ea:da0
1622c19:dd:d9:dd:c25:c25:d9ea:da1/1282c19:dd:d9:dd:c25:c25:d9ea:da1
1632c19:dd:d9:dd:c25:c25:d9ea:da2/1282c19:dd:d9:dd:c25:c25:d9ea:da2
1642c19:dd:d9:dd:c25:c25:d9ea:da3/1282c19:dd:d9:dd:c25:c25:d9ea:da3
1652c19:dd:d9:dd:c25:c25:d9ea:da4/1282c19:dd:d9:dd:c25:c25:d9ea:da4
1662c19:dd:d9:dd:c25:c25:d9ea:da5/1282c19:dd:d9:dd:c25:c25:d9ea:da5
1672c19:dd:d9:dd:c25:c25:d9ea:da6/1282c19:dd:d9:dd:c25:c25:d9ea:da6
1682c19:dd:d9:dd:c25:c25:d9ea:da7/1282c19:dd:d9:dd:c25:c25:d9ea:da7
1692c19:dd:d9:dd:c25:c25:d9ea:da8/1282c19:dd:d9:dd:c25:c25:d9ea:da8
1702c19:dd:d9:dd:c25:c25:d9ea:da9/1282c19:dd:d9:dd:c25:c25:d9ea:da9
1712c19:dd:d9:dd:c25:c25:d9ea:daa/1282c19:dd:d9:dd:c25:c25:d9ea:daa
1722c19:dd:d9:dd:c25:c25:d9ea:dab/1282c19:dd:d9:dd:c25:c25:d9ea:dab
1732c19:dd:d9:dd:c25:c25:d9ea:dac/1282c19:dd:d9:dd:c25:c25:d9ea:dac
1742c19:dd:d9:dd:c25:c25:d9ea:dad/1282c19:dd:d9:dd:c25:c25:d9ea:dad
1752c19:dd:d9:dd:c25:c25:d9ea:dae/1282c19:dd:d9:dd:c25:c25:d9ea:dae
1762c19:dd:d9:dd:c25:c25:d9ea:daf/1282c19:dd:d9:dd:c25:c25:d9ea:daf
1772c19:dd:d9:dd:c25:c25:d9ea:db0/1282c19:dd:d9:dd:c25:c25:d9ea:db0
1782c19:dd:d9:dd:c25:c25:d9ea:db1/1282c19:dd:d9:dd:c25:c25:d9ea:db1
1792c19:dd:d9:dd:c25:c25:d9ea:db2/1282c19:dd:d9:dd:c25:c25:d9ea:db2
1802c19:dd:d9:dd:c25:c25:d9ea:db3/1282c19:dd:d9:dd:c25:c25:d9ea:db3
1812c19:dd:d9:dd:c25:c25:d9ea:db4/1282c19:dd:d9:dd:c25:c25:d9ea:db4
1822c19:dd:d9:dd:c25:c25:d9ea:db5/1282c19:dd:d9:dd:c25:c25:d9ea:db5
1832c19:dd:d9:dd:c25:c25:d9ea:db6/1282c19:dd:d9:dd:c25:c25:d9ea:db6
1842c19:dd:d9:dd:c25:c25:d9ea:db7/1282c19:dd:d9:dd:c25:c25:d9ea:db7
1852c19:dd:d9:dd:c25:c25:d9ea:db8/1282c19:dd:d9:dd:c25:c25:d9ea:db8
1862c19:dd:d9:dd:c25:c25:d9ea:db9/1282c19:dd:d9:dd:c25:c25:d9ea:db9
1872c19:dd:d9:dd:c25:c25:d9ea:dba/1282c19:dd:d9:dd:c25:c25:d9ea:dba
1882c19:dd:d9:dd:c25:c25:d9ea:dbb/1282c19:dd:d9:dd:c25:c25:d9ea:dbb
1892c19:dd:d9:dd:c25:c25:d9ea:dbc/1282c19:dd:d9:dd:c25:c25:d9ea:dbc
1902c19:dd:d9:dd:c25:c25:d9ea:dbd/1282c19:dd:d9:dd:c25:c25:d9ea:dbd
1912c19:dd:d9:dd:c25:c25:d9ea:dbe/1282c19:dd:d9:dd:c25:c25:d9ea:dbe
1922c19:dd:d9:dd:c25:c25:d9ea:dbf/1282c19:dd:d9:dd:c25:c25:d9ea:dbf
1932c19:dd:d9:dd:c25:c25:d9ea:dc0/1282c19:dd:d9:dd:c25:c25:d9ea:dc0
1942c19:dd:d9:dd:c25:c25:d9ea:dc1/1282c19:dd:d9:dd:c25:c25:d9ea:dc1
1952c19:dd:d9:dd:c25:c25:d9ea:dc2/1282c19:dd:d9:dd:c25:c25:d9ea:dc2
1962c19:dd:d9:dd:c25:c25:d9ea:dc3/1282c19:dd:d9:dd:c25:c25:d9ea:dc3
1972c19:dd:d9:dd:c25:c25:d9ea:dc4/1282c19:dd:d9:dd:c25:c25:d9ea:dc4
1982c19:dd:d9:dd:c25:c25:d9ea:dc5/1282c19:dd:d9:dd:c25:c25:d9ea:dc5
1992c19:dd:d9:dd:c25:c25:d9ea:dc6/1282c19:dd:d9:dd:c25:c25:d9ea:dc6
2002c19:dd:d9:dd:c25:c25:d9ea:dc7/1282c19:dd:d9:dd:c25:c25:d9ea:dc7
2012c19:dd:d9:dd:c25:c25:d9ea:dc8/1282c19:dd:d9:dd:c25:c25:d9ea:dc8
2022c19:dd:d9:dd:c25:c25:d9ea:dc9/1282c19:dd:d9:dd:c25:c25:d9ea:dc9
2032c19:dd:d9:dd:c25:c25:d9ea:dca/1282c19:dd:d9:dd:c25:c25:d9ea:dca
2042c19:dd:d9:dd:c25:c25:d9ea:dcb/1282c19:dd:d9:dd:c25:c25:d9ea:dcb
2052c19:dd:d9:dd:c25:c25:d9ea:dcc/1282c19:dd:d9:dd:c25:c25:d9ea:dcc
2062c19:dd:d9:dd:c25:c25:d9ea:dcd/1282c19:dd:d9:dd:c25:c25:d9ea:dcd
2072c19:dd:d9:dd:c25:c25:d9ea:dce/1282c19:dd:d9:dd:c25:c25:d9ea:dce
2082c19:dd:d9:dd:c25:c25:d9ea:dcf/1282c19:dd:d9:dd:c25:c25:d9ea:dcf
2092c19:dd:d9:dd:c25:c25:d9ea:dd0/1282c19:dd:d9:dd:c25:c25:d9ea:dd0
2102c19:dd:d9:dd:c25:c25:d9ea:dd1/1282c19:dd:d9:dd:c25:c25:d9ea:dd1
2112c19:dd:d9:dd:c25:c25:d9ea:dd2/1282c19:dd:d9:dd:c25:c25:d9ea:dd2
2122c19:dd:d9:dd:c25:c25:d9ea:dd3/1282c19:dd:d9:dd:c25:c25:d9ea:dd3
2132c19:dd:d9:dd:c25:c25:d9ea:dd4/1282c19:dd:d9:dd:c25:c25:d9ea:dd4
2142c19:dd:d9:dd:c25:c25:d9ea:dd5/1282c19:dd:d9:dd:c25:c25:d9ea:dd5
2152c19:dd:d9:dd:c25:c25:d9ea:dd6/1282c19:dd:d9:dd:c25:c25:d9ea:dd6
2162c19:dd:d9:dd:c25:c25:d9ea:dd7/1282c19:dd:d9:dd:c25:c25:d9ea:dd7
2172c19:dd:d9:dd:c25:c25:d9ea:dd8/1282c19:dd:d9:dd:c25:c25:d9ea:dd8
2182c19:dd:d9:dd:c25:c25:d9ea:dd9/1282c19:dd:d9:dd:c25:c25:d9ea:dd9
2192c19:dd:d9:dd:c25:c25:d9ea:dda/1282c19:dd:d9:dd:c25:c25:d9ea:dda
2202c19:dd:d9:dd:c25:c25:d9ea:ddb/1282c19:dd:d9:dd:c25:c25:d9ea:ddb
2212c19:dd:d9:dd:c25:c25:d9ea:ddc/1282c19:dd:d9:dd:c25:c25:d9ea:ddc
2222c19:dd:d9:dd:c25:c25:d9ea:ddd/1282c19:dd:d9:dd:c25:c25:d9ea:ddd
2232c19:dd:d9:dd:c25:c25:d9ea:dde/1282c19:dd:d9:dd:c25:c25:d9ea:dde
2242c19:dd:d9:dd:c25:c25:d9ea:ddf/1282c19:dd:d9:dd:c25:c25:d9ea:ddf
2252c19:dd:d9:dd:c25:c25:d9ea:de0/1282c19:dd:d9:dd:c25:c25:d9ea:de0
2262c19:dd:d9:dd:c25:c25:d9ea:de1/1282c19:dd:d9:dd:c25:c25:d9ea:de1
2272c19:dd:d9:dd:c25:c25:d9ea:de2/1282c19:dd:d9:dd:c25:c25:d9ea:de2
2282c19:dd:d9:dd:c25:c25:d9ea:de3/1282c19:dd:d9:dd:c25:c25:d9ea:de3
2292c19:dd:d9:dd:c25:c25:d9ea:de4/1282c19:dd:d9:dd:c25:c25:d9ea:de4
2302c19:dd:d9:dd:c25:c25:d9ea:de5/1282c19:dd:d9:dd:c25:c25:d9ea:de5
2312c19:dd:d9:dd:c25:c25:d9ea:de6/1282c19:dd:d9:dd:c25:c25:d9ea:de6
2322c19:dd:d9:dd:c25:c25:d9ea:de7/1282c19:dd:d9:dd:c25:c25:d9ea:de7
2332c19:dd:d9:dd:c25:c25:d9ea:de8/1282c19:dd:d9:dd:c25:c25:d9ea:de8
2342c19:dd:d9:dd:c25:c25:d9ea:de9/1282c19:dd:d9:dd:c25:c25:d9ea:de9
2352c19:dd:d9:dd:c25:c25:d9ea:dea/1282c19:dd:d9:dd:c25:c25:d9ea:dea
2362c19:dd:d9:dd:c25:c25:d9ea:deb/1282c19:dd:d9:dd:c25:c25:d9ea:deb
2372c19:dd:d9:dd:c25:c25:d9ea:dec/1282c19:dd:d9:dd:c25:c25:d9ea:dec
2382c19:dd:d9:dd:c25:c25:d9ea:ded/1282c19:dd:d9:dd:c25:c25:d9ea:ded
2392c19:dd:d9:dd:c25:c25:d9ea:dee/1282c19:dd:d9:dd:c25:c25:d9ea:dee
2402c19:dd:d9:dd:c25:c25:d9ea:def/1282c19:dd:d9:dd:c25:c25:d9ea:def
2412c19:dd:d9:dd:c25:c25:d9ea:df0/1282c19:dd:d9:dd:c25:c25:d9ea:df0
2422c19:dd:d9:dd:c25:c25:d9ea:df1/1282c19:dd:d9:dd:c25:c25:d9ea:df1
2432c19:dd:d9:dd:c25:c25:d9ea:df2/1282c19:dd:d9:dd:c25:c25:d9ea:df2
2442c19:dd:d9:dd:c25:c25:d9ea:df3/1282c19:dd:d9:dd:c25:c25:d9ea:df3
2452c19:dd:d9:dd:c25:c25:d9ea:df4/1282c19:dd:d9:dd:c25:c25:d9ea:df4
2462c19:dd:d9:dd:c25:c25:d9ea:df5/1282c19:dd:d9:dd:c25:c25:d9ea:df5
2472c19:dd:d9:dd:c25:c25:d9ea:df6/1282c19:dd:d9:dd:c25:c25:d9ea:df6
2482c19:dd:d9:dd:c25:c25:d9ea:df7/1282c19:dd:d9:dd:c25:c25:d9ea:df7
2492c19:dd:d9:dd:c25:c25:d9ea:df8/1282c19:dd:d9:dd:c25:c25:d9ea:df8
2502c19:dd:d9:dd:c25:c25:d9ea:df9/1282c19:dd:d9:dd:c25:c25:d9ea:df9
2512c19:dd:d9:dd:c25:c25:d9ea:dfa/1282c19:dd:d9:dd:c25:c25:d9ea:dfa
2522c19:dd:d9:dd:c25:c25:d9ea:dfb/1282c19:dd:d9:dd:c25:c25:d9ea:dfb
2532c19:dd:d9:dd:c25:c25:d9ea:dfc/1282c19:dd:d9:dd:c25:c25:d9ea:dfc
2542c19:dd:d9:dd:c25:c25:d9ea:dfd/1282c19:dd:d9:dd:c25:c25:d9ea:dfd
2552c19:dd:d9:dd:c25:c25:d9ea:dfe/1282c19:dd:d9:dd:c25:c25:d9ea:dfe
2562c19:dd:d9:dd:c25:c25:d9ea:dff/1282c19:dd:d9:dd:c25:c25:d9ea:dff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses